lubyrack.h File Reference

Classes for the Luby-Rackoff block cipher. More...

Go to the source code of this file.

## Classes

struct | LR_Info< T >
| Luby-Rackoff block cipher information. More...
class | LR< T >
| Luby-Rackoff block cipher. More...

## Macros

#define | KL this->key
#define | KR this->key+this->L
#define | BL this->buffer
#define | BR this->buffer+this->S
#define | IL inBlock
#define | IR inBlock+this->S
#define | OL outBlock
#define | OR outBlock+this->S

## Detailed Description

Classes for the Luby-Rackoff block cipher.

Definition in file lubyrack.h.

## Macro Definition Documentation

## KL

#define KL this->key

Definition at line 52 of file lubyrack.h.

## KR

#define KR this->key+this->L

Definition at line 53 of file lubyrack.h.

## BL

#define BL this->buffer

Definition at line 54 of file lubyrack.h.

## BR

#define BR this->buffer+this->S

Definition at line 55 of file lubyrack.h.

## IL

#define IL inBlock

Definition at line 56 of file lubyrack.h.

## IR

#define IR inBlock+this->S

Definition at line 57 of file lubyrack.h.

## OL

#define OL outBlock

Definition at line 58 of file lubyrack.h.

## OR

#define OR outBlock+this->S

Definition at line 59 of file lubyrack.h.